Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 44 lines (35 sloc) 1.553 kb
e57ae60 Myron Marston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices based...
authored
1 require File.expand_path("../lib/vcr/version", __FILE__)
6c7e2e2 Myron Marston Adding gemspec.
authored
2
dd461d5 Myron Marston Removed dependency on jeweler. Manage the gemspec by hand instead. Exp...
authored
3 Gem::Specification.new do |s|
4 s.name = "vcr"
5 s.homepage = "http://github.com/myronmarston/vcr"
6c7e2e2 Myron Marston Adding gemspec.
authored
6 s.authors = ["Myron Marston"]
dd461d5 Myron Marston Removed dependency on jeweler. Manage the gemspec by hand instead. Exp...
authored
7 s.summary = "Record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests."
8 s.description = "VCR provides helpers to record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests. It works with any ruby testing framework, and provides built-in support for cucumber."
9 s.email = "myron.marston@gmail.com"
e57ae60 Myron Marston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices based...
authored
10 s.require_path = "lib"
11 s.files = `git ls-files`.split("\n")
12 s.executables = `git ls-files`.split("\n").map{|f| f =~ /^bin\/(.*)/ ? $1 : nil}.compact
6c7e2e2 Myron Marston Adding gemspec.
authored
13
dd461d5 Myron Marston Removed dependency on jeweler. Manage the gemspec by hand instead. Exp...
authored
14 s.version = VCR.version
e57ae60 Myron Marston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices based...
authored
15 s.platform = Gem::Platform::RUBY
dd461d5 Myron Marston Removed dependency on jeweler. Manage the gemspec by hand instead. Exp...
authored
16 s.required_ruby_version = '>= 1.8.6'
17 s.required_rubygems_version = '>= 1.3.5'
e57ae60 Myron Marston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices based...
authored
18
19 {
20 'bundler' => '~> 1.0.0.rc6',
21 'rake' => '~> 0.8.7',
22
23 'rspec' => '~> 2.0.0.beta.20',
24 'cucumber' => '~> 0.8.5',
25
26 'fakeweb' => '~> 1.3.0',
27 'webmock' => '~> 1.3.3',
28
29 'httpclient' => '~> 2.1.5.2',
30
31 'capybara' => '~> 0.3.9',
32 'rack' => '1.2.0'
33 }.each do |lib, version|
34 s.add_development_dependency lib, version
35 end
36
37 {
38 'patron' => '~> 0.4.6',
39 'em-http-request' => '~> 0.2.7',
40 }.each do |lib, version|
41 s.add_development_dependency lib, version
42 end unless RUBY_PLATFORM == 'java'
6c7e2e2 Myron Marston Adding gemspec.
authored
43 end
Something went wrong with that request. Please try again.